.flexible-models {
    background: linear-gradient(180deg, #032576 0%, #010C25 43.72%);
    padding: 140px 0;
    position: relative;
}

.flexible-models:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background: radial-gradient(47.79% 104.84% at 50% 50%, #056CF2 0%, #042575 100%);
}

.flexible-models h2 {
    color: var(--d-white);
    margin-bottom: 80px;
    text-align: center;
}

.flexible-models .items {
    display: flex;
    justify-content: center;
    gap: 24px;
}

.flexible-models .item {
    width: 520px;
    border-radius: 20px;
    overflow: hidden;
    border: 1px solid #123569;
}

.flexible-models .item .content,
.flexible-models .item .points {
    padding: 32px;
}

.flexible-models .item:first-child .content {
    background-image: url('https://storage.googleapis.com/dev_resources_voka_io_303011/common/flexible-1.webp');
    background-size: cover;
    background-position: center;
}

.flexible-models .item:last-child .content {
    background-image: url('https://storage.googleapis.com/dev_resources_voka_io_303011/common/flexible-2.webp');
    background-size: cover;
    background-position: center;
}

.flexible-models .item:first-child .points {
    background-color: var(--d-dark-80);
    height: 100%;
}

.flexible-models .item:last-child .points {
    background-color: var(--d-dark-60);
    height: 100%;
}

.flexible-models .item .content .main-h4 {
    color: var(--d-white);
    margin-bottom: 16px;
}

.flexible-models .item .content .main-text-regular {
    color: #BEDAFFE5;
    margin-bottom: 40px;
}

.flexible-models .item .points .point {
    display: flex;
    gap: 12px;
    padding-bottom: 24px;
    margin-bottom: 20px;
    border-bottom: 1px solid #061D55;
    color: var(--d-grey);
}

.flexible-models .item .points .point:last-child {
    border-bottom: none;
    margin-bottom: 0;
    padding-bottom: 0;
}

.flexible-models .item .points .point svg {
    min-width: 26px;
    min-height: 26px;
}



.flexible-models .item .points strong {
    color: var(--d-white);
}


.flexible-models .item .content .custom-button {
    width: fit-content;
}

@media (max-width: 1919px) {

    .flexible-models {
        padding: 100px 0;
    }

    .flexible-models h2 {
        margin-bottom: 60px;
    }

    .flexible-models .item .points .point {
        padding-bottom: 20px;

    }
}


@media (max-width: 1439px) {
    .flexible-models {
        padding: 80px 0;
    }

    .flexible-models h2 {
        margin-bottom: 48px;
    }

    .flexible-models .items {
        gap: 16px;
    }

    .flexible-models .item {
        border-radius: 16px;
        width: 440px;
    }

    .flexible-models .item .content,
    .flexible-models .item .points {
        padding: 24px;
    }

    .flexible-models .item .content .main-h4 {
        margin-bottom: 12px;
    }

    .flexible-models .item .content .main-text-regular {
        margin-bottom: 32px;
    }

    .flexible-models .item .points .point {
        padding-bottom: 16px;
        margin-bottom: 16px;
    }

    .flexible-models .item .points .point svg {
        min-width: 24px;
        min-height: 24px;
        max-width: 24px;
        max-height: 24px;
    }
}

@media (max-width: 1279px) {
    .flexible-models .items {
        flex-direction: column;
    }

    .flexible-models .item {
        width: 100%;
        display: flex;
        align-items: stretch;
    }

    .flexible-models .item .content .main-text-regular {
        margin-bottom: 40px;
    }

    .flexible-models .item .content {
        min-width: 320px;
        width: 320px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .flexible-models .item .points {
        width: 100%;
        height: auto !important;
    }
}

@media (max-width: 577px) {

    .flexible-models h2 {
        text-align: center;
    }

    .flexible-models .item {
        flex-direction: column;
    }

    .flexible-models .items{
        flex-direction: column-reverse;
    }

    .flexible-models .item .content,
    .flexible-models .item .points {
        padding: 20px;
    }

    .flexible-models .item .content .main-text-regular {
        margin-bottom: 32px;
    }

    .flexible-models .item .content {
        width: 100%;
        max-width: 100%;
    }
}